{: test that constant expression error causes a compilation error }

program e1055( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

const
   {!!! boolean operand required}
   c1 = not(6.05);
   c2 = not 6.05;
   c3 = true and 6.05;
   c4 = false or 6.05;
   c5 = 6.05 or true;
   c6 = 6.05 and false;

   n1 = not(nil);
   n2 = not nil;
   n3 = true and nil;
   n4 = false or nil;
   n5 = nil or true;
   n6 = nil and false;

var
   e : colour;
   n : integer;
   s : packed array[1..20] of char;

begin { e1055 }

   e := black;
   n := 2;

   writeln( 'constant expression type error not detected' );
end. { e1055 }

